"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const tour_step_1 = __importDefault(require("./tour-step"));
const shepherd_js_1 = __importDefault(require("shepherd.js"));
exports.default = {
    install(app, options) {
        const { router, tourMap } = options;
        Object.entries(tourMap).forEach(([key, options]) => {
            const shepherdTour = new shepherd_js_1.default.Tour(options);
            if (typeof router !== "undefined") {
                Object.defineProperty(shepherdTour, "routerPush", {
                    enumerable: false,
                    configurable: false,
                    writable: false,
                    value: (route, cb) => {
                        router.push(route).then(cb);
                    },
                });
            }
            app.config.globalProperties[key] = shepherdTour;
            app.provide(key, shepherdTour);
        });
        app.directive("tour-step", tour_step_1.default);
    },
};
